463
ответа

Кронтаб говорит, что команда не найдена [dубликат]

Я просто настраиваю cron для перезапуска сервера приложений «Thin» для моего приложения Ruby каждый час. Я пробовал каждый метод, но cron дает ошибку, поскольку команда не найдена. Мой скрипт выглядит как-то ...
вопрос задан: 8 May 2017 18:15
37
ответов

Как настроить Ruby on Rails?

Я заинтересован в создании среды Ruby on Rails на моем ноутбуке 10.10. Есть ли что-то особенное, что мне нужно иметь в виду для установки (т. Е. Это может быть новым или уникальным для 10.10)? Являются ...
вопрос задан: 13 June 2012 23:39
36
ответов

Как установить ruby-rvm?

Я хочу установить среду рельсов на Ubuntu 11.04. Я попытался: $ sudo apt-get install ruby-rvm Но получил ошибку: не удалось найти пакет ruby-rvm. У моего другого ПК есть Ubuntu 11.10, и это работает ...
вопрос задан: 1 May 2012 00:47
36
ответов

Мастер: команда не найдена

Я следую этому руководству Heroku. Я установил мастера с мастером установки sudo gem, но когда я попытаюсь использовать его в терминале с помощью командного мастера, он возвращает команду мастера: command not ...
вопрос задан: 23 November 2011 04:31
33
ответа

& ldquo; нет такого файла для загрузки & mdash; Zlib & Rdquo; ошибка при установке драгоценного камня [закрыто]

Когда я решил установить gem в ubuntu вчера (с помощью этой команды: sudo gem install algorithms), bash дал мне ошибку. Как я могу установить gem в ubuntu так же, как при установке на windows? ******* ...
вопрос задан: 29 August 2011 23:57
31
ответ

Установка только ruby ​​1.9 [duplicate]

Возможный дубликат: как настроить Ruby on Rails? Похоже, что если я сделаю «sudo apt-get install ruby-full build-essential», Ruby будет установлен с версией 1.8. Как я могу установить только ...
вопрос задан: 13 June 2012 23:39
30
ответов

Как программно управлять приложением Windows?

Кто-нибудь знает библиотеку, желательно на Ruby или Python, что позволит вам открыть список открытых приложений и позволю тебе манипулировать им? Все, что я действительно хочу быть в состоянии сделать, это изменить их геометрию и ...
вопрос задан: 21 January 2011 10:46
30
ответов

Установка RubyGems 1.9.1

Я успешно установил ruby1.9.1, но после загрузки предлагаемого здесь архива .tgz и выполнения sudo ruby1.9.1 setup.rb Я получаю это: /home/elliot/Downloads/rubygems-1.4.1 (2) / lib / rubygems /. ..
вопрос задан: 1 January 2011 21:20
27
ответов

Как узнать, какие языки программирования предварительно установлены в Ubuntu?

Как узнать, какие языки программирования (я имею в виду их компиляторы и интерпретаторы) уже предварительно установлены в Ubuntu? Например, я вижу, что Python здесь. Если я пишу команду python в терминале, ...
вопрос задан: 22 May 2018 04:33
27
ответов

Как создать значок запуска Unity для Redcar в среде RVM?

Redcar - это графическое приложение, установленное с помощью драгоценного камня Ruby, и я установил его в среде Ruby, которой управляет RVM. Значок запуска не устанавливается автоматически, поэтому мне нужно ...
вопрос задан: 9 February 2012 22:33
27
ответов

Как обновить до последней версии SASS?

Это действительно глупо, но я уже больше часа нахожусь в Google и не могу найти ответ. Я на Ubuntu 10.10, и я пытаюсь обновить до последней версии SASS, чтобы я мог использовать правило @import ...
вопрос задан: 4 January 2012 04:34
27
ответов

Невозможно установить libopenssl-ruby

Я пытаюсь установить ruby ​​на рельсы, и я не могу установить libopenssl-ruby. Я на VPS, и я установил Jaunty, поскольку новые версии, похоже, не работают очень хорошо. Когда я делаю: apt-get ...
вопрос задан: 14 February 2011 21:36
25
ответов

Установка Ruby [duplicate]

Я нашел учебное пособие на этом сайте, в котором показано, как установить Ruby. Проблема в том, что я нашел, что терминал просит установить уже установленные пакеты. Чтение списков пакетов ... Установка ...
вопрос задан: 13 June 2012 23:39
25
ответов

Лучший способ установить Ruby 1.9, Rails 3, Postgres, Heroku, GitHub, используя RVM? [Дубликат]

Возможный дубликат: как настроить Ruby on Rails? Лучший способ установить RUBY 1.9, Rails 3, Postgres, Heroku, GitHub, Использование RVM. Кто-нибудь может предложить мне способ, которым я должен следовать, чтобы установить его ...
вопрос задан: 13 June 2012 23:39
24
ответа

Не удается запустить программу, установленную через gem install

Я установил Ruby с помощью RVM. Я выполнил команду rspec для установки gem и, похоже, правильно установил rspec. Если я делаю rspec, я получаю «Программа rspec» в настоящее время не установлена ​​», и я ...
вопрос задан: 27 May 2012 03:27
24
ответа

Как получить приглашение ruby ​​с пакетом Ruby 1.8

Я установил пакеты ruby1.8 и ruby1.8-dev, но он не отвечает на команду ruby ​​в командной строке. ruby В настоящее время программа «ruby» не установлена. Вы можете установить его, набрав: ...
вопрос задан: 4 September 2011 10:35
23
ответа

Как установить Ruby 1.9.2 в Ubuntu без сбоев?

Я пытался настроить Ruby on Rails для Ubuntu 11.10, следуя этим инструкциям, но не могу заставить его работать. Я буду следовать руководству по установке вплоть до "rvm install ruby-1.9.2", и в ...
вопрос задан: 9 July 2012 15:24
21
ответ

Ошибка привязки MySQL RubyGem

Когда я выполнил 'gem install mysql', появилось сообщение об ошибке ниже. ОШИБКА: Ошибка при установке mysql: ERROR: Не удалось создать собственное расширение gem. /usr/bin/ruby1.8 extconf.rb extconf.rb: 10: in `...
вопрос задан: 7 March 2012 16:14
20
ответов

Как я могу получить gedit для программирования в Ruby и Ruby on Rails?

Я хотел бы узнать, какие плагины gedit можно установить, чтобы упростить программирование для Ruby и Ruby on Rails?
вопрос задан: 4 May 2012 02:26
20
ответов

установка рубина 1.9.2 для октопресса

Итак, я пытаюсь установить Octopress. Мне нужен рубин 1.9.2. Похоже, что sudo apt-get install ruby ​​хочет установить ruby ​​1.8. Я читал, что RVM - хороший способ пойти. Но это кажется чрезмерным, поскольку ...
вопрос задан: 14 February 2012 22:55
20
ответов

Как скомпилировать Vim с графическим интерфейсом?

Я хочу узнать, как скомпилировать vim из источников, потому что есть некоторые дополнения, которые я хочу добавить, и научиться справляться с этими ситуациями, но до сих пор у меня не было успеха в этом, я ...
вопрос задан: 12 October 2010 06:57
18
ответов

Команды, не работающие на xterm, но работающие в сеансе ssh

Я установил Ubuntu 16.04 с Xrdp и Xfce4 для удаленного доступа. Установленный рубин с использованием RVM. Когда я пытаюсь получить доступ к Ruby Interactive (irb), он отлично работает с оболочкой SSH (я печатаю irb, и я могу использовать ...
вопрос задан: 28 September 2017 20:59
18
ответов

/ usr / bin / env: 'ruby': нет такого файла или каталога

Когда crontab пытается выполнить скрипт: @reboot sh /home/username/unicorn_start.sh & gt; /home/username/unicorn_start.out 2 & gt; & amp; 1 Создает мне файл журнала со следующим содержимым: / usr / bin / ...
вопрос задан: 27 July 2017 14:08
18
ответов

Redmine не может работать на apache2 с пассажиром: несовместимая версия библиотеки nokogiri

Я хочу установить redmine на свой компьютер. Я работал с учебниками из http://redmine.org/, чтобы развернуть redmine на моем ПК. После установки ruby, дополнительных пакетов и redmine, я хочу настроить apache2 для ...
вопрос задан: 4 July 2017 11:10
18
ответов

Какая рубиновая версия включена в Ubuntu 16.04?

какая рубиновая версия включена в Ubuntu 16.04? Я не мог проверить, потому что у меня работает другая ОС на работе.
вопрос задан: 25 May 2017 16:01
18
ответов

Не удается установить gem: не удалось создать собственное расширение gem при попытке установить Watir

Я пытаюсь установить Watir, но когда я пытаюсь запустить sudo gem install watir, я получаю эту ошибку. Создание собственных расширений. Это может занять некоторое время ... ОШИБКА: Ошибка при установке watir: ERROR: Failed ...
вопрос задан: 29 April 2017 20:52
18
ответов

Как удалить Ruby 1.8.7 и установить Ruby 1.9.2?

Кто-нибудь знает, как правильно удалить Ruby 1.8.7 и установить Ruby 1.9.2 на Ubuntu 11.10? Я тщательно искал, и ни один из найденных мной учебников не сработал. Кроме того, я провел очень много времени ...
вопрос задан: 23 January 2012 17:41
18
ответов

Проблема установки рубинов и драгоценных камней

Я только что установил ruby ​​с помощью apt-get с помощью следующей команды: sudo apt-get install ruby1.9.1-full Но когда я пытаюсь сделать sudo gem install ..., это говорит о том, что я не установил драгоценные камни и что я ...
вопрос задан: 24 March 2011 23:44
18
ответов

Readline не компилируется по умолчанию - вызывать `require ': нет такого файла для загрузки & mdash; Readline

При попытке установить ruby ​​1.9.2 на Ubuntu 10.04 (64-разрядная версия), я получаю следующую ошибку после выполнения следующих шагов: Установка зависимостей ./configure для создания файла make Make Make Install Make ...
вопрос задан: 11 September 2010 22:57
16
ответов

Установите ruby ​​1.9.2-p180 через RVM на Ubuntu 12.04

Я просто обновился до новейшей версии Ubuntu, и это сломало мой рубин на настройках рельсов. Я хотел бы установить ruby ​​1.9.2-p180 теперь через RVM: rvm install ruby-1.9.2-p180 Это отменено из-за некоторых ...
вопрос задан: 27 April 2012 10:37